/* Header */
header {
    position: sticky;
    top: 0;
    z-index: 999;
    left: 0;
    right: 0;
    background-color: var(--primary-blue);
    box-shadow: 0 1px 2px rgba(0,0,0,0.1);
}

.nav-wrapper {
    height: 64px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 24px;
}

.nav-wrapper a {
    flex: 1;
}

nav {
    gap: 32px;
}

nav a {
    font-size: 14px;
    color: var(--light-blue);
}

nav a.active {
    color: var(--white);
    padding-bottom: 2px;
    border-bottom: 2px solid var(--white);
    font-weight: 500;
}

nav a:hover {
    color: var(--white);
}

.menu-mobile {
    display: block;
    background: none;
    border: none;
    color: var(--white);
}



/* Mobile Menu Custom */
.menu-mobile-btn {
    background: none;
    border: none;
    color: var(--white);
    cursor: pointer;
    display: block;
}

@media (max-width: 767px) {
    .main-nav {
        position: absolute;
        top: 64px;
        left: 0;
        right: 0;
        background-color: var(--primary-blue);
        flex-direction: column;
        padding: 24px;
        gap: 16px;
        border-top: 1px solid var(--secondary-blue);
        box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
        display: none; 
    }

    .main-nav.is-open {
        display: flex;
    }

    nav a.active {
        border-bottom: none;
    }
    .icon-close {
        display: none !important;
    }
}

@media (min-width: 768px) {
    .menu-mobile-btn {
        display: none;
    }
}
